Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I need to upgrade FF, but I get error messages like, "The following disk images failed to mount", "corrupt image". I don't want to buy new comp to bypass this.

  • 3 svar
  • 2 har dette problem
  • 31 visninger
  • Seneste svar af buria24

more options

Mac OSX 10.3.9

Alle svar (3)

more options

You can't update Firefox beyond Firefox 2.0.0.20 if you use Mac OS X 10.3.9

Firefox 2.0.0.20 is the last Firefox version that runs on your OS and on a PowerPC Mac.

more options

planned obsolescence...just a way to push people to buy more.

more options

planned obsolescence. just a way to get people to buy more.